Subject: Prevent Inclusion of ResourceStorage from Bootstrap

Description

Associated revisions

Revision 9a735f28 - 2014-03-17 22:33 - Thomas Maroschik

[BUGFIX] Prevent Inclusion of ResourceStorage from Bootstrap

During bootstrapping the ResourceStorage and ResourceFactory
is loaded and evaluated just because of two constants containing
signal names used in ext_localconf. This introduces unnecessary

overhead especially in elD context.

The constants have been extracted to an interface that are way
faster parsed.

Resolves: #56335

Releases: 6.2

Change-Id: 1509593d2720c595fa7e4f1c9b5c63fd09fea724c
Reviewed-on: https://review.typo3.org/28416

Reviewed-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History

#1 - 2014-03-04 17:05 - Thomas Maroschik
- Status changed from New to Accepted
- Assigned To set to Thomas Maroschik

#2 - 2014-03-15 12:44 - Gerrit Code Review

- Status changed from Accepted to Under Review
https://review.typo3.org/28416

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28416

#3 - 2014-03-15 12:46 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28416

#4 - 2014-03-17 23:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9a735f28d04be1c293582861e336c4342a27d671.
